package com.eactive.eai.transformer.util;

/** 
 * 1. 기능 : 변환에서 사용하는 Pattern 을 대신하는 User Method Class
 * 2. 처리 개요 : IBM BMT 중 발생한 Pattern.match를 대신하기 위한 Utility Class
 */

public class StringUtil {
	private StringUtil() {
		
	}
	
    public static String replaceAll(String src, String a, String b) {
		int i = -1;
		String replaceStr = src;
		do {
			i = replaceStr.indexOf(a);
			if(i > 0) {
				replaceStr = replaceStr.substring(0, i) + b + replaceStr.substring(i + a.length());
			}
		} while(i > 0);
		
		return replaceStr;
	}    
   
    public static int isMulti(String s) {
		if(s == null) 
			return -1;		
		return s.indexOf("[*]");
	}
    
    public static int findStart(String s) {
		
        if(s == null) return -1;
        
        int size = s.length();
		
		for(int i=(size-1); i >= 0; i--) {
			char c = s.charAt(i);
            if(c == ' ' || c == '+' || c == '/' || c == '%' || c == '(' ) return i;
        }
        return -1;
	}
     
} 
